Thursday, April 24, 2008

Useful patch numbers and release notes for 10g and 11g

Last Updated: October 26, 2010

This posting is a synopsis of the most useful patch numbers, certification notes and release information for Discoverer 10g Releases 2 and 3, plus the latest Discoverer 11g. At the bottom of the page you will find information concerning Discoverer certification with E-Business Suite.

Discoverer and IE Certification
Discoverer 11g will be the first version of Discoverer to be certified with the Microsoft IE 8 browser.

Oracle have no plans to certify any version of 10.1.2 with IE8. The first version of Discoverer that will be certified with IE8 is the 1st patchset for Discoverer 11g which you should expect to see during 2010. For more information regarding IE8 certification please refer to MetaLink note 843865.1

As for Microsoft IE6 and 7 certifications, 10.1.2.2 is certified for use only with IE6, while 10.1.2.3 is certified for use with both IE6 and IE7.

Install Discoverer Administrator or Desktop onto Vista 
In order to install the base Discoverer 10.1.2.0.2 tools for Administrator and / or Desktop onto Microsoft Vista you need to launch the setup.exe from a different location.
  • 6153263 - this is the patch containing a modified installer that will allow the Discoverer 10g tools (Administrator or Desktop) to install onto Vista. Click here for more information.
Upgrade to 10.1.2.3 
This is a must-have upgrade and is the only version of Discoverer which is currently having cumulative patches released for it. This is a very stable release and will be the basis for all future releases. If you have already upgraded to 10.1.2.2 then you can apply 10.1.2.3 directly on top. There is no need to de-install 10.1.2.2 or any of its cumulative patches as 10.1.2.3 will manage all of this for you.

If you have not already applied 10.1.2.2 then the upgrade to 10.1.2.3 is a major upgrade and I advise your DBA and / or your administrator to carefully read the release notes before startng the upgrade.

10.1.2.3 vital note: If you have installed this patch make sure you also install CP2 (see below)
  • 5983622 - this is the patch to upgrade Discoverer 10g to 10.1.2.3. It can be applied on top of any 10g version (e.g. - 10.1.2.0.0, 10.1.2.0.2/10.1.2.1 or 10.1.2.2)
This is a major upgrade which may well also require an upgrade to your infrastructure database (see Database 10.1.05 Upgrade notes below). If you are not using an infrastructure the upgrade to 10.1.2.3 is very easy and should take a competent administrator no more than an hour. The upgrade with an infrastructure is more complex and will take from a few hours to the best part of a day, depending upon the complexity and configuration of your application server setup.

After you have upgraded to 10.1.2.3, your Discoverer version will be 10.1.2.55.26


Cumulative Patches for Discoverer 11g 
Oracle has released no cumulative patches for Discoverer 11g as of February 8, 2010. I expect to see these commence during the first half of 2010.

Cumulative Patches for Discoverer 10.1.2.3 (see platform notes and tags alongside individual patches)
Cumulative patches for 10.1.2.3 can only be applied on top of the base 10.1.2.3 and on top of each other. They will automatically de-install any previous cumulative patch before installing. Most cumulative patches are platform specific and usually require a password from support before you can download them.
  • CP8 - 9694503 - issues 5-OCT-2010 - works with platforms 1, 2, 3, 5 and 8
  • CP7 - 9112482 - issued 4-JUN-2010 - works with platforms 1, 2, 6 and 8
  • CP6 - 8746296 - issued 18-NOV-2009 - works with platforms 1, 2, 3, 4 and 6
  • CP5 - 8354043 - issued 12-AUG-2009 - works with platforms 1, 2 and 4
  • CP4 - 7595032 - issued 28-APR-2009 - works with platforms 1, 2, 3, 4 and 6 (see note below)
  • CP3 - 7319096 - issued 4-JAN-2009 - works with platforms 1, 2, 6 and 7 (do not install - read why)
  • CP2 - 7198716 - issued 3-OCT-2008 - works with platforms 1, 2, 3, 4, 6 and 7
  • CP1 - 7111842 - issued 7-AUG-2008 - works with platforms 1, 2, 3, 4, 6 and 7
Platform Notes:
The above cumulative patches can be applied to the following platforms:
  1. Microsoft Windows (32-bit)
  2. Linux x86
  3. IBM AIX (5L) Based Systems (64-bit)
  4. Sun Solaris SPARC 32-bit, can also be installed on Sun SPARC 64-bit
  5. Sun Solaris x86
  6. HP-UX PA-RISC (32-bit)
  7. HP-UX Itanium
  8. Oracle Solaris on SPARC 64-bit
IMPORTANT NOTE for CP4 and above
Please apply the JDBC patch p4398431_10105_GENERIC.zip for bug 4398431(release 10.1.0.5).This patch needs to be applied to all Oracle Homes, i.e. Infrastructure home as well as all related midtier homes.
Bug 4398431 - HANG WHEN RETRIEVING A CONNECTION FROM THE IMPLICIT CONNECTION CACHE

Then proceed with applying the CP4 or above patch. If you are upgrading from CP4 and above it is assumed that you have already applied 4398431 and you do not need to do it again.

Database 10.1.0.5 upgrade notes 
When you install the full-blown application server 10.1.2.0.2 (10.1.2.48.18) out of the box you will get a pre-seeded 10.1.0.4 metadata repository. Before you can apply either the 10.1.2.2 or 10.1.2.3 upgrade this database must be upgraded to 10.1.0.5. This upgrade will take a competent DBA about half a day.
  • 4505133 - this is the 10.1.0.5 database patch
Web Services for interfacing Discoverer with BI Publisher (10.1.2.2 only)
If you want to be able to interface Discoverer 10g with BI Publisher you will need to apply a web services patch to your Discoverer middle tier.
  • 7028146 This is an updated web services patch and is compatible with cumulative patch CP7 for 10.1.2.2 and later- see below (6778560).
  • 6622352 This is an updated web services patch and is compatible with 10.1.2.2 cumulative patches CP4, CP5 and CP6.
  • 5648158 This is the original web services patch and can be applied on top of 10.1.2.2 (you see how important 10.1.2.2 is) along with any cumulative patch up to and including CP4
Web services note: If you have already installed the original web services patch (5648158) and wish to apply CP5 or higher, you will need to remove it before you can apply CP5 or CP6. You should then apply 6622352. If you are installing CP7 or CP8 you will need to remove 5648158 or 6622352, install CP7 or CP8 then install 7028146.

The web services patch is not required for Discoverer 10.1.2.3 as this level of the application server has the necessary web services components built in.

Upgrade to 10.1.2.2 
This is no longer a must-have upgrade and if you have already upgraded to this release you need to now upgrade to 10.1.2.3. If you have not yet upgraded to 10.1.2.2 you should not do so and should proceed straight to 10.1.2.3.


Like 10.1.2.3, this is a major upgrade which will require an upgrade to your infrastructure database (see note earlier in this posting). If you are not using an infrastructure the upgrade to 10.1.2.2 is very easy and should take a competent administrator no more than an hour. The upgrade with an infrastructure is more complex and will take from a few hours to the best part of a day, depending upon the complexity and configuration of your application server setup.

  • 4960210 Patch to upgrade Discoverer to 10.1.2.2.
After you have upgraded to 10.1.2.2, your Discoverer version will be 10.1.2.54.25

    Cumulative Patches for Discoverer 10.1.2.2 (see platform notes and tags alongside individual patches) 
    Cumulative patches can only be applied on top of 10.1.2.2 and on top of each other. They will automatically de-install any previous cumulative patch before installing. Most cumulative patches are platform specific and most, certainly the more recent patches, do not usually require a password from Oracle Support before you can download them.

    • CP8 - 7306816 - issued 14-AUG-2008 - this is CP8 for platforms 2, 3, 4, 6, 7 and 8 (see * CP8 note below)
    • CP8 - 7111816 - issued 18-JUL-2008 - works with platforms 1 and 5 (see * CP8 note below)
    • CP7 - 6778560 - issued 11-MAY-2008 - works with platforms 1, 2, 3, 4, 6 and 7
    • CP6 - 6669003 - issued 12-MAR-2008 - works with platforms 1 to 7
    • CP5 - 6472361 - issued 21-DEC-2007 - works with platforms 1 to 7
    • CP4 - 6357481 - issued 07-NOV-2007 - works with platforms 1, 2, 3, 6 and 7
    • CP3 - 6155500 - issued 31-AUG-2007 - works with platforms 1 to 7
    • CP2 - 6129303 - issued 22-JUL-2007 - works with platforms 1, 2, 4 and 6
    • CP1 - 5943426 - issued 23-MAY-2007 - works with 1, 2 and 3 - obsolete - do not use
    Platform Notes:
    The above cumulative patches can be applied to the following platforms:
    1. Microsoft Windows (32-bit)
    2. Linux x86
    3. IBM AIX (5L) Based Systems (64-bit)
    4. Sun Solaris SPARC 32-bit, can also be installed on Sun SPARC 64-bit
    5. Sun Solaris x86
    6. HP-UX PA-RISC (32-bit)
    7. HP-UX Itanium
    8. Linux Itanium
    * CP8 Note: Oracle originally issued CP8 for Windows and Unix on 18 July 2008. As they were working through the other platforms they realised that further bugs needed to be fixed. Therefore, on 15 August 2008 they issued a second CP8 patch. This patch is for for Linux, IBM AIX, HP-UX (PA RISC and Itanium), plus the Sun Solaris SPARC platforms.

    You should use 7111816 if you are patching Windows, and 7306816 if using any of the other platforms.
    CP8 is the last cumulative patch for 10.1.2.2

    OPatch 
    Oracle recommends that you always make sure you have the most-recent version of OPatch installed before applying any patches. As of this posting the most-recent version of OPatch is 1.0.0.0.62. The following Oracle Support documents will help:
    • 2617419 - installer for OPatch 1.0.0.0.58
    • 6880880 - instructions and downloads for OPatch 1.0.0.0.62
    OPatch notes: when looking to download OPatch 1.0.0.0.62 you will notice that there are three different downloads available. These are:
    • Release 10.1.0.0.0 - suitable for Oracle databases 9i and 10.1
    • Release 10.2.0.0.0 - suitable for Oracle database 10.2
    • Release 11.1.0.0.0 - suitable for Oracle database 11.1
    • Release 11.2.0.0.0 - suitable for Oracle database 11.2
    most patches will install with 1.0.0.0.57, however in order to install CP8 on Linux you must have OPatch version 1.0.0.0.58 Click here for more details

    MS IE7 Certification 
    Out of the box, Discoverer 10.1.2.0.2, even with the base upgrade to 10.1.2.2, is not certified for use with Microsoft IE7. The main issue is that when you are hyper-drilling between worksheets the parameter values are not passed properly.

    • 5673463 - this allows Discoverer to be fully certified with IE7
    MS IE7 Note: Part of this fix was released in CP4 but has been fully certified and included as part of CP6 or higher. If you are on a pre-CP4 version and want to use IE7 you need this patch.


    Discoverer and E-Business Suite Certification 
    This section contains details about Discoverer's certification with Oracle E-Business Suite

    As of November 2008, Discoverer 10.1.2.2 and all of its cumulative patches are certified for use against E-Business Suite 11i and 12i. For more information please go to Oracle Support and look at note 313418.1

    Discoverer 10.1.2.3 is only certified if you apply CP1 or higher. So long as you have applied at least CP1 then it is certified for use against both 11i and 12i. For more information please go to Oracle Support (formerly MetaLink) and look at note 373634.1.

    Note: The base 10.1.2.3 is not certified with E-Business Suite


    This page is offered as a public service. If anyone has any information regarding patches, trouble with patches, or certifications please let me know

    5 comments:

    Anonymous said...

    Hi Michael

    Good summary page for patching, could you include Certification for Releases and CPs for 11i?

    Thanks

    Laurence

    Raj said...

    How can I find out my current Disocverer patchset level? Thanks in advance.

    Raj

    Mei said...

    According to Metalink note 237607.1,"Discoverer 10g (10.1.2.3) is fully certified with the E-Business Suite 11i Applications, and we HIGHLY recommend implementing or migrating to this release."

    Bill said...

    Michael: Thanks for the good info. I have a question. We are dinosaurs still using Disco Desktop, and we use it with a custom app, not the App Server.
    We have installed version 10.1.2. Is there any way to use patch 5983622 to upgrade JUST the Desktop and Admin to 10.1.2.3 without installing all the AS and other stuff?
    Thanks.
    Bill Melton
    Va. State Corporation Commission
    bill.melton@scc.virginia.gov

    Anonymous said...

    hi,

    my discoverer version is 10.1.2.0, i want to upgrade it to 11g, what steps should i follow

    Followers